__gnu_pbds::detail::lu_counter_policy_base< Size_Type > Class Template Reference

`#include <lu_counter_metadata.hpp>`

Inheritance diagram for __gnu_pbds::detail::lu_counter_policy_base< Size_Type >:
[legend]

## Protected Types

typedef Size_Type | size_type

## Protected Member Functions

template<typename Metadata_Reference>
bool | operator() (Metadata_Reference r_data, size_type m_max_count) const
lu_counter_metadata< size_type > | operator() (size_type max_size) const

## Detailed Description

template<typename Size_Type>
class __gnu_pbds::detail::lu_counter_policy_base< Size_Type >

Base class for list-update counter policy.

Definition at line 67 of file lu_counter_metadata.hpp.

## Member Typedef Documentation

## size_type

template<typename Size_Type>

typedef Size_Type __gnu_pbds::detail::lu_counter_policy_base< Size_Type >::size_type

protected

Definition at line 70 of file lu_counter_metadata.hpp.

## Member Function Documentation

## operator()() [1/2]

template<typename Size_Type>
template<typename Metadata_Reference>

bool __gnu_pbds::detail::lu_counter_policy_base< Size_Type >::operator() | ( | Metadata_Reference | r_data,
|  | size_type | m_max_count ) const

inline protected

Definition at line 78 of file lu_counter_metadata.hpp.

## operator()() [2/2]

template<typename Size_Type>

lu_counter_metadata< size_type > __gnu_pbds::detail::lu_counter_policy_base< Size_Type >::operator() | ( | size_type | max_size | ) | const

inline protected

Definition at line 73 of file lu_counter_metadata.hpp.

The documentation for this class was generated from the following file:

- lu_counter_metadata.hpp